Bug 151500 - Starting cupd locks up entire system forcing reboot
Starting cupd locks up entire system forcing reboot
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-18 13:06 EST by Joshua Ginsberg
Modified: 2015-01-04 17:17 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-04 09:23:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joshua Ginsberg 2005-03-18 13:06:05 EST
Description of problem:
Since upgrading my cups package a little while ago, every time I try to start
cupsd, my entire system locks up.


Version-Release number of selected component (if applicable):
cups-1.1.22-0.rc1.8.5


How reproducible:
Every time

Steps to Reproduce:
1. Start cupsd
  
Actual results:
Entire system locks up. No keyboard input is accepted. No mouse input is
accepted. No graphics system redraws take place. Nothing.


Expected results:
Cups starts without complaint.
Comment 1 Tim Waugh 2005-03-18 13:19:29 EST
I think this is a kernel problem, but I want to make sure.

Please try this, as root:

chmod -x /usr/lib/cups/backend/*
chmod +x /usr/lib/cups/backend/ipp

Does this work around the problem? (You won't be able to print correctly until
the 'x' permission is added back to all of the backends.)
Comment 2 Joshua Ginsberg 2005-03-18 16:09:06 EST
You are correct. It did not lock up the system when I changed the above permissions.

-jag
Comment 3 Tim Waugh 2005-03-21 08:04:41 EST
Okay, now please try enabling each backend, one by one, like this:

chmod +x /usr/lib/cups/backend/parallel

Each time, reboot and see if it works.  I'd like to narrow down the problem to a
particular backend.  Then we can see what it does to provoke the kernel problem.

So far, we know that the ipp backend does not provoke the problem, and that one
of the others does.
Comment 4 James Davidson 2005-04-13 00:21:52 EDT
I have had similar behaviour on an HP Pavillion 6630.
kernel-2.6.10-1.770_FC3 (i686)
cups-1.1.22-0.rc1.8.5

I followed the above instructions (i.e., only enable the IPP backend) and
booting was fine.  I then enabled the parallel backend and the lockup came back.

So it would appear to be a problem with the parallel port support for newer
kernels.  The lockup does not occur with kernel-2.6.9-1.667.
Comment 5 Tim Waugh 2005-04-13 05:03:54 EDT
Okay, definitely a kernel issue then.  Thanks for testing.
Comment 6 James Davidson 2005-07-10 23:01:54 EDT
I know that FC4 is out, but the HP Pavillion 6630 machine that experiences this
problem has not been upgraded yet.  So, just for another data point, the problem
still persists for kernel-2.6.11-1.35_FC3 (i686).
Comment 7 Dave Jones 2005-07-15 16:06:28 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 8 James Davidson 2005-07-29 00:15:49 EDT
I have now tried the new kernel-2.6.12-1.1372_FC3 and the lockup during boot
persists.
Comment 9 James Davidson 2005-10-02 00:00:21 EDT
I just upgraded the HP Pavillion to kernel-2.6.12-1.1378_FC3 and
cups-1.1.22-0.rc1.8.7 and the lockup still occurs. 
Comment 10 Dave Jones 2006-01-16 17:38:26 EST
This is a mass-update to all currently open Fedora Core 3 kernel bugs.

Fedora Core 3 support has transitioned to the Fedora Legacy project.
Due to the limited resources of this project, typically only
updates for new security issues are released.

As this bug isn't security related, it has been migrated to a
Fedora Core 4 bug.  Please upgrade to this newer release, and
test if this bug is still present there.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

Thank you.
Comment 11 James Davidson 2006-01-17 00:10:05 EST
Unfortunately the HP Pavillion has been put to pasture and is unlikely to get to
the track again so I will not be able to verify if this bug exists in the FC4
kernels.
Comment 12 Dave Jones 2006-02-03 01:59:05 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 13 John Thacker 2006-05-04 09:23:09 EDT
Closing per previous comment.

Note You need to log in before you can comment on or make changes to this bug.